org.rrd4j.graph

## Class RrdGraphGenerator

- java.lang.Object
- - org.rrd4j.graph.RrdGraphGenerator

-     class RrdGraphGenerator
      extends Object

  Core graph generation engine for RRD graphs. Orchestrates entire graph creation process from data processing to image rendering. Handles data fetching, scaling, layout, and all rendering operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) RrdGraphDef` | `gdef`
    `(package private) ImageParameters` | `im`
    `(package private) RrdGraphInfo` | `info`
    `(package private) Mapper` | `mapper`
    `(package private) ImageWorker` | `worker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdGraphGenerator(RrdGraphDef gdef, ImageWorker worker, DataProcessor dproc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `createGraph()`
    `(package private) double` | `getBoxSpace()`
    `(package private) double` | `getFontCharWidth(RrdGraphConstants.FontTag fonttag)`
    `(package private) double` | `getFontHeight(RrdGraphConstants.FontTag fonttag)`
    `(package private) double` | `getInterlegendSpace()`
    `(package private) double` | `getLeading()`
    `(package private) double` | `getSmallLeading()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gdef

          final RrdGraphDef gdef

    - #### im

          final ImageParameters im

    - #### info

          final RrdGraphInfo info

    - #### mapper

          Mapper mapper

    - #### worker

          final ImageWorker worker

  - ### Constructor Detail

    - #### RrdGraphGenerator

          RrdGraphGenerator(RrdGraphDef gdef,
                            ImageWorker worker,
                            DataProcessor dproc)

  - ### Method Detail

    - #### createGraph

          void createGraph()
                    throws IOException

      Throws:
        `IOException`

    - #### getBoxSpace

          double getBoxSpace()

    - #### getFontCharWidth

          double getFontCharWidth(RrdGraphConstants.FontTag fonttag)

    - #### getFontHeight

          double getFontHeight(RrdGraphConstants.FontTag fonttag)

    - #### getInterlegendSpace

          double getInterlegendSpace()

    - #### getLeading

          double getLeading()

    - #### getSmallLeading

          double getSmallLeading()